Subject: draft-ietf-krb-wg-preauth-fw-04.txt and EKE patent

From: Sam Hartman <[email-masked]>
Date: Fri, 2 Mar 2007 14:26:11 -0500 (EST)

Folks, I wanted to ask the working group to carefully consider how
FAST factors may interact with the EKE patent.  As you will recall,
FAST factors are a way that a client can establish a protected channel
for key exchange with a KDC.  They also include a mechanism so that
the reply key is wrapped in an ephemeral key after being wrapped in a
client's long-term key.  This double encryption allows a KDC to prove
that it is the right KDC while protecting against online dictionary
attacks.

I'm concerned that EKE may cover some or all of this.  However I'm not
familiar enough that I feel comfortable making a third party IPR
disclosure.  I'd appreciate it if the working group would consider
this situation and if members of the working group would do whatever
analysis they believe appropriate.